| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | Private Member Functions | List of all members
PreStack::ModelBasedAngleComputer::ModelTool Class Reference

`#include <prestackanglecomputer.h>`

## Public Member Functions
| ModelTool (const ElasticModel &, const TrcKey &)
| ModelTool (const OffsetReflectivityModel &, const TrcKey &)
| ~ModelTool ()
const OffsetReflectivityModel * | curRefModel () const
const ElasticModel * | elasticModel () const
bool | operator== (const ModelTool &oth) const
void | setRefModel (const OffsetReflectivityModel &)
void | splitModelIfNeeded (float maxthickness)
const TrcKey & | trcKey () const

## Protected Attributes
ElasticModel * | em_ = nullptr
ConstRefMan< OffsetReflectivityModel > | refmodel_
TrcKey | trckey_

## Private Member Functions
| mOD_DisableCopy (ModelTool)

## Constructor & Destructor Documentation

## ◆ ModelTool() [1/2]

PreStack::ModelBasedAngleComputer::ModelTool::ModelTool | ( | const ElasticModel & | ,
|  | const TrcKey & | )

## ◆ ModelTool() [2/2]

PreStack::ModelBasedAngleComputer::ModelTool::ModelTool | ( | const OffsetReflectivityModel & | ,
|  | const TrcKey & | )

## ◆ ~ModelTool()

PreStack::ModelBasedAngleComputer::ModelTool::~ModelTool | ( |  | ) |

## Member Function Documentation

## ◆ curRefModel()

const OffsetReflectivityModel * PreStack::ModelBasedAngleComputer::ModelTool::curRefModel | ( |  | ) | const

## ◆ elasticModel()

const ElasticModel * PreStack::ModelBasedAngleComputer::ModelTool::elasticModel | ( |  | ) | const
| inline

## ◆ mOD_DisableCopy()

PreStack::ModelBasedAngleComputer::ModelTool::mOD_DisableCopy | ( | ModelTool |  | ) |
| private

## ◆ operator==()

bool PreStack::ModelBasedAngleComputer::ModelTool::operator== | ( | const ModelTool & | oth | ) | const
| inline

## ◆ setRefModel()

void PreStack::ModelBasedAngleComputer::ModelTool::setRefModel | ( | const OffsetReflectivityModel & |  | ) |

## ◆ splitModelIfNeeded()

void PreStack::ModelBasedAngleComputer::ModelTool::splitModelIfNeeded | ( | float | maxthickness | ) |

## ◆ trcKey()

const TrcKey & PreStack::ModelBasedAngleComputer::ModelTool::trcKey | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ em_

ElasticModel* PreStack::ModelBasedAngleComputer::ModelTool::em_ = nullptr
| protected

## ◆ refmodel_

ConstRefMan<OffsetReflectivityModel> PreStack::ModelBasedAngleComputer::ModelTool::refmodel_
| protected

## ◆ trckey_

TrcKey PreStack::ModelBasedAngleComputer::ModelTool::trckey_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025